%define ver	0.5.9
%define rel     20000120
%define prefix 	/usr

Name: 		dgs
Version: 	%{ver}
Release: 	%{rel}
Source: 	ftp://ftp.gnustep.org/pub/gnustep/dgs/dgs-%{ver}.tar.gz
#Source: 	/cvs/dgs-%{ver}-%{date}.tar.gz
Copyright: 	GPL
Group: 		Applications/Publishing
Summary: 	Display Postscript server
Packager:	automatically generated - skel. by Christopher Seawood <cls@seawood.org>
Vendor:		GNU Display Ghostscirpt Project
Distribution:	none
BuildRoot: 	/var/tmp/build-%{name}
Requires:       glib >= 1.2.2

%description
DGS is an extenstion of ghostscript that implements display postscript (DPS).
%{_buildblurb}

# %package libs
# Summary: DGS runtime libraries.
# Group: System Environment/Libraries
# 
# %description libs
# Runtime libraries used by DGS.
# %{_buildblurb}

%package devel
Summary: Required for doing DGS development.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Header files and static libraries required to develop applications that 
use DGS.
%{_buildblurb}

%package psfiles
Summary: PostScript resource files for DGS
Group: Applications/Publishing
Requires: %{name} = %{version}
Conflicts: ghostscript = 5.50

%description psfiles
PostScript resource files for DGS,
but the files of GhostScript %{ver} can be used instead of.
%{_buildblurb}

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
	--with-glib-exec-prefix=/home/masata-y/opt
make CFLAGS_STANDARD="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=${RPM_BUILD_ROOT}%{prefix}

%ifos Linux
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, bin, bin)
%doc ANNOUNCE ChangeLog FAQ INSTALL NEWS NOTES README STATUS TODO
%{prefix}/bin/dgs
%{prefix}/bin/dpsexec
%{prefix}/bin/dpsnx.agent
%{prefix}/bin/makepsres
%{prefix}/bin/texteroids
%{prefix}/bin/xepsf
%{prefix}/lib/lib*.s*.*
%{prefix}/man/man1/dgs.1
%{prefix}/man/manm/dpsexec.man
%{prefix}/man/manm/makepsres.man
%{prefix}/man/manm/xepsf.man
%{prefix}/share/ghostscript/5.50/gs_dpsx.ps

%files devel
%defattr(-, bin, bin)
%{prefix}/bin/dgs-config
%{prefix}/bin/pswrap
%{prefix}/include/DPS
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.la
%{prefix}/lib/lib*.so
%{prefix}/share/aclocal/*

%files psfiles
%{prefix}/share/ghostscript/5.50/Fontmap
%{prefix}/share/ghostscript/5.50/doc/*
%{prefix}/share/ghostscript/5.50/examples/*
%{prefix}/share/ghostscript/5.50/gs_btokn.ps
%{prefix}/share/ghostscript/5.50/gs_ccfnt.ps
%{prefix}/share/ghostscript/5.50/gs_cff.ps
%{prefix}/share/ghostscript/5.50/gs_cidfn.ps
%{prefix}/share/ghostscript/5.50/gs_cmap.ps
%{prefix}/share/ghostscript/5.50/gs_dbt_e.ps
%{prefix}/share/ghostscript/5.50/gs_diskf.ps
%{prefix}/share/ghostscript/5.50/gs_dpnxt.ps
%{prefix}/share/ghostscript/5.50/gs_dps.ps
%{prefix}/share/ghostscript/5.50/gs_dps1.ps
%{prefix}/share/ghostscript/5.50/gs_dps2.ps
%{prefix}/share/ghostscript/5.50/gs_epsf.ps
%{prefix}/share/ghostscript/5.50/gs_fonts.ps
%{prefix}/share/ghostscript/5.50/gs_init.ps
%{prefix}/share/ghostscript/5.50/gs_iso_e.ps
%{prefix}/share/ghostscript/5.50/gs_kanji.ps
%{prefix}/share/ghostscript/5.50/gs_ksb_e.ps
%{prefix}/share/ghostscript/5.50/gs_l2img.ps
%{prefix}/share/ghostscript/5.50/gs_lev2.ps
%{prefix}/share/ghostscript/5.50/gs_ll3.ps
%{prefix}/share/ghostscript/5.50/gs_mex_e.ps
%{prefix}/share/ghostscript/5.50/gs_mro_e.ps
%{prefix}/share/ghostscript/5.50/gs_pdf_e.ps
%{prefix}/share/ghostscript/5.50/gs_pdfwr.ps
%{prefix}/share/ghostscript/5.50/gs_pfile.ps
%{prefix}/share/ghostscript/5.50/gs_res.ps
%{prefix}/share/ghostscript/5.50/gs_setpd.ps
%{prefix}/share/ghostscript/5.50/gs_statd.ps
%{prefix}/share/ghostscript/5.50/gs_std_e.ps
%{prefix}/share/ghostscript/5.50/gs_sym_e.ps
%{prefix}/share/ghostscript/5.50/gs_ttf.ps
%{prefix}/share/ghostscript/5.50/gs_typ32.ps
%{prefix}/share/ghostscript/5.50/gs_typ42.ps
%{prefix}/share/ghostscript/5.50/gs_type1.ps
%{prefix}/share/ghostscript/5.50/gs_wan_e.ps

%changelog
* Thu Jan 20 2000 Masatake YAMATO <masata-y@is.aist-nara.ac.jp>
- Applied a patch again from
SUZUKI Toshiya<suzukis@file.phys.tohoku.ac.jp>. See ChangeLog.

* Wed Jan 12 2000 Masatake YAMATO <masata-y@is.aist-nara.ac.jp>
- Applied a patch from 
SUZUKI Toshiya<suzukis@file.phys.tohoku.ac.jp>. See ChangeLog.

* Tue Dec 28 1999 Masatake YAMATO <masata-y@is.aist-nara.ac.jp>
- Change the Vendor, Distribution and Packager.

* Tue Dec 28 1999 Masatake YAMATO <masata-y@is.aist-nara.ac.jp>
- Don't mv dgs.1.
- Install dgs-config.

* Mon Dec 27 1999 Masatake YAMATO <masata-y@is.aist-nara.ac.jp>
- Remove date.

* Sat Dec 25 1999 Masatake YAMATO <masata-y@is.aist-nara.ac.jp>
- Don't install /usr/bin/dvipdf.

* Tue Oct  5 1999 Masatake YAMATO <masata-y@is.aist-nara.ac.jp>
- define rel
- VERSION replaceable for configure

* Mon Sep 20 1999 Christopher Seawood <cls@seawood.org>
- updated to released 0.5.8

* Sat Sep 18 1999 Christopher Seawood <cls@seawood.org>
- updated cvs snapshot (post 0.5.7)
- added requirement for glib

* Mon Jul 26 1999 Christopher Seawood <cls@seawood.org>
- updated cvs snapshot (post 0.5.7)

* Fri Jun 25 1999 Christopher Seawood <cls@seawood.org>
- updated to cvs snapshot (post 0.5.7)
- split into main & devel packages
- Added RHCN tags

* Thu Mar 12 1998 Christopher Seawood <cls@seawood.org>
- updated to 0.5.0
- changed prefix to /usr so we can install dgs before gstep-core

* Wed Feb 18 1998 Christopher Seawood <cls@seawood.org>

- updated to work with gnustep-980215 releases
- changed spec file format to be less ix86 specific

p* Mon Nov 03 1997 Christopher Seawood <cls@seawood.org>

- built against gnustep-{base,make}-971102. Changed Makfile.in & gs/unix-gcc.mak  so that fonts would be installed under %{prefix}/Libraries/share instead
  of the libdir
 
